# -*- mode: rpm-spec ; mode: font-lock -*-

Summary: Macromolecular coordinate library
Name: mmdb
Version: 1.23
Release: 4%{?dist}
License: LGPLv3
Group: System Environment/Libraries
URL: https://launchpad.net/mmdb
Source0: http://launchpad.net/%{name}/%{version}/%{version}.2.2/+download/%{name}-%{version}.2.2.tar.gz

%description
MMDB is a macromolecular coordinate library, written by Eugene
Krissinel primarily for use by the collaborative computational project
4 (CCP4) group in the United Kingdom.  The Coordinate Library is
designed to assist CCP4 developers in working with coordinate files.

The Library features work with the primary file formats of the Protein
Data Bank (PDB), the PDB file format and the mmCIF file format.

The Library provides various high-level tools for working with
coordinate files, which include not only reading and writing, but also
orthogonal-fractional coordinate transforms, generation of symmetry
mates, editing the molecular structure and some others. The Library is
supposed as a general low-level tool for unifying the
coordinate-related operations.

This package contains the shared library components needed for programs
that have been compiled with the mmdb library. 

%package devel
Summary: Header files and library for developing programs with mmdb
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Group: Development/Libraries

%description devel

This package contains libraries and header files needed for program
development using the macromolecular coordinate library.

%prep
%setup -q -n %{name}-%{version}.2.2

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libmmdb.so.0.0.1
%{_libdir}/libmmdb.so.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmmdb.so
%{_includedir}/mmdb/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Tim Fenn <fenn@stanford.edu> - 1.23-1
- update to 1.23
- remove patches (merged upstream)
- update download location/URL

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Tim Fenn <fenn@stanford.edu> - 1.21-1
- update to 1.21
- remove examples

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 15 2008 Tim Fenn <fenn@stanford.edu> - 1.19-2
- add libtoolize

* Wed Nov 12 2008 Tim Fenn <fenn@stanford.edu> - 1.19-1
- update to 1.19
- change source path to upstream
- change license to LGPLv3

* Mon Oct 27 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-10
- add pkgconfig patch

* Sat Oct 25 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-9
- change libmmdb to mmdb

* Wed Oct 22 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-8
- fix source package to match upstream
- remove some defines
- clarify description
- add parallel make
- remove duplicated doc files

* Thu May 29 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-7
- copy Examples to examples to prevent unwanted files in -devel

* Wed May 28 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-6
- fix ldconfig, requires, buildroot, naming scheme, devel files

* Tue May 27 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-5
- remove static libs

* Mon May 26 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-4
- spec cleanup

* Tue Feb 26 2008 Tim Fenn <fenn@stanford.edu> - 1.09.1-3
- update using fedora packaging conventions

* Sun Sep 02 2007 Morten Kjeldgaard <mok@bioxray.dk> - 1.09.1
- Spec file part of mmdb distro, split devel files and shared library 
  into separate packages.

* Thu Dec 15 2005 Morten Kjeldgaard <mok@ghost.bioxray.dk> - 1.0.8
- Added pkgconfig entry for mmdb

* Thu Dec  1 2005 Morten Kjeldgaard <mok@ghost.bioxray.dk> - 1.0.8
- Update to version 1.0.8

* Thu Mar 31 2005 Morten Kjeldgaard <mok@golem.bioxray.dk> - 1.0.6
- Introduce more macros

* Tue Dec 21 2004 Morten Kjeldgaard <mok@ghost.bioxray.dk> - 
- Initial build.

####
